<?php
require_once 'db_connection.php';



// استعلام لجلب البيانات من قاعدة البيانات
$sql = "SELECT * FROM nafaz";
$result = $conn->query($sql);

// التحقق مما إذا كانت هناك نتائج
if ($result->num_rows > 0) {
    
    $data = []; // مصفوفة لتخزين البيانات
    while ($row = $result->fetch_assoc()) {
        $row['table_name'] = 'nafaz'; // إضافة اسم الجدول لكل صف
        $data[] = $row; // إضافة الصفوف إلى المصفوفة
    }

    // إعادة البيانات كـ JSON
    header('Content-Type: application/json; charset=utf-8');
    echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);

    // للتأكد من أن البيانات تحتوي على معلومات حقيقية
    error_log(print_r($data, true));  // طباعة البيانات في السجل
} 

// إغلاق الاتصال
$conn->close();
?>
